import { gql } from "@apollo/client";

export const QUERY_ALL_ASSOCIATIONS = gql`
  query QUERY_ALL_ASSOCIATIONS($email: String) {
    associations(where: { useremail: { _eq: $email } }, order_by: { bodyshop: { shopname: asc } }) {
      id
      active
      bodyshop {
        id
        shopname
      }
    }
  }
`;

export const UPDATE_ASSOCIATION = gql`
  mutation UPDATE_ASSOCIATION($assocId: uuid, $assocActive: Boolean) {
    update_associations(where: { id: { _eq: $assocId } }, _set: { active: $assocActive }) {
      returning {
        id
        active
        authlevel
        default_prod_list_view
      }
    }
  }
`;
export const UPDATE_ACTIVE_ASSOCIATION = gql`
  mutation UPDATE_ACTIVE_ASSOCIATION($newActiveAssocId: uuid) {
    nweActive: update_associations(where: { id: { _eq: $newActiveAssocId } }, _set: { active: true }) {
      returning {
        id
        shopid
        active
      }
    }
    inactive: update_associations(where: { id: { _neq: $newActiveAssocId } }, _set: { active: false }) {
      returning {
        id
        shopid
        active
      }
    }
  }
`;

export const UPDATE_ACTIVE_PROD_LIST_VIEW = gql`
  mutation UPDATE_ACTIVE_PROD_LIST_VIEW($assocId: uuid, $view: String) {
    update_associations(where: { id: { _eq: $assocId } }, _set: { default_prod_list_view: $view }) {
      returning {
        id
        default_prod_list_view
      }
    }
  }
`;
